rsbackup (10.0-3build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:12:43 +0200

rsbackup (10.0-3build1) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 06 Aug 2025 17:02:18 +0200

rsbackup (10.0-3) unstable; urgency=medium

  * Take upstream fix to fix parsing issues with rsync output

 -- Matthew Vernon <matthew@debian.org>  Sat, 01 Feb 2025 13:07:34 +0000

rsbackup (10.0-2) unstable; urgency=medium

  * Specify source format (Closes: #1007293)
  * Correct permissions of rsbackup-manual.html
  * Update Build-Depends pkg-config -> pkgconf

 -- Matthew Vernon <matthew@debian.org>  Fri, 31 Jan 2025 08:43:23 +0000

rsbackup (10.0-1) unstable; urgency=medium

  * New upstream version

 -- Matthew Vernon <matthew@debian.org>  Sat, 25 Jan 2025 15:33:36 +0000

rsbackup (10.0) stable; urgency=medium

  * Release 10.0

 -- Richard Kettlewell <rjk@terraraq.uk>  Fri, 24 Mar 2023 11:25:55 +0000

rsbackup (9.0) stable; urgency=medium

  * Release 9.0

 -- Richard Kettlewell <rjk@terraraq.uk>  Sat, 12 Nov 2022 12:04:18 +0000

rsbackup (8.0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove requirement for root when building the package.
    (Closes: #1089421)

 -- Niels Thykier <niels@thykier.net>  Wed, 01 Jan 2025 19:06:43 +0000

rsbackup (8.0-2) unstable; urgency=medium

  * Patch from wuruilong for loong64 support (Closes: #1070106)

 -- Matthew Vernon <matthew@debian.org>  Wed, 21 Aug 2024 18:51:43 +0100

rsbackup (8.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1010487)

 -- Matthew Vernon <matthew@debian.org>  Thu, 20 Oct 2022 18:47:26 +0100

rsbackup (8.0) stable; urgency=medium

  * Release 8.0

 -- Richard Kettlewell <rjk@terraraq.uk>  Sat, 16 Jan 2021 11:02:39 +0000

rsbackup (7.0) stable; urgency=medium

  * Release 7.0

 -- Richard Kettlewell <rjk@terraraq.org.uk>  Fri, 29 May 2020 10:39:02 +0100

rsbackup (6.0-2) unstable; urgency=medium

  * Source-only upload so this can migrate to testing

 -- Matthew Vernon <matthew@debian.org>  Sun, 16 Feb 2020 14:43:06 +0000

rsbackup (6.0-1) unstable; urgency=medium

  * New upstream release.

 -- Matthew Vernon <matthew@debian.org>  Sat, 28 Sep 2019 16:51:19 +0100

rsbackup (6.0) unstable; urgency=medium

  * Release 6.0

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 07 Sep 2019 09:38:31 +0100

rsbackup (5.1-1) unstable; urgency=medium

  * New upstream version (Closes: #908644)

 -- Matthew Vernon <matthew@debian.org>  Mon, 08 Oct 2018 20:26:07 +0100

rsbackup (5.1) stable; urgency=medium

  * Release 5.1

 -- Richard Kettlewell <rjk@greenend.org.uk>  Fri, 27 Jul 2018 18:34:15 +0100

rsbackup (5.0-2) unstable; urgency=medium

  * Upstream patch to workaround sigc++ build failure on GCC 8 (Closes:
    #897852)

 -- Matthew Vernon <matthew@debian.org>  Sun, 22 Jul 2018 12:21:27 +0100

rsbackup (5.0-1) unstable; urgency=medium

  * New upstream version

 -- Matthew Vernon <matthew@debian.org>  Sat, 24 Feb 2018 12:54:43 +0000

rsbackup (5.0) stable; urgency=medium

  * Release 5.0

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 28 Jan 2018 13:36:10 +0000

rsbackup (4.0-1) unstable; urgency=medium

  * New upstream version
  * Upstream patch to build with gcc 7 (Closes: #853647)

 -- Matthew Vernon <matthew@debian.org>  Sat, 26 Aug 2017 14:22:30 +0100

rsbackup (4.0) stable; urgency=medium

  * Release 4.0

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 26 Mar 2017 17:16:52 +0100

rsbackup (3.1-3) unstable; urgency=low

  * Patch from Reiner Herrmann to make build reproducible (Closes:
    #842546)

 -- Matthew Vernon <matthew@debian.org>  Sun, 30 Oct 2016 13:35:01 +0000

rsbackup (3.1-2) unstable; urgency=low

  * Sacrifice a version number to dgit

 -- Matthew Vernon <matthew@debian.org>  Thu, 30 Jun 2016 16:37:44 +0100

rsbackup (3.1-1) unstable; urgency=low

  * New upstream version (Closes: #811750, #810335)

 -- Matthew Vernon <matthew@debian.org>  Thu, 30 Jun 2016 14:03:57 +0100

rsbackup (3.1) unstable; urgency=medium

  * Release 3.1

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 24 Jan 2016 10:59:06 +0000

rsbackup (3.0-2) unstable; urgency=low

  * Upload again with orig this time (dgit needs a new version number to
    do this)

 -- Matthew Vernon <matthew@debian.org>  Fri, 01 Jan 2016 12:58:18 +0000

rsbackup (3.0-1) unstable; urgency=low

  * New upstream version (Closes: #777394)
  * patch from Maria Valentina Marin to fix mtimes before building binary
    packages (reproducible-builds effort) (Closes: #793716)

 -- Matthew Vernon <matthew@debian.org>  Tue, 29 Dec 2015 14:57:43 +0000

rsbackup (3.0) unstable; urgency=low

  * Release 3.0

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 19 Dec 2015 11:45:55 +0000

rsbackup (2.1) unstable; urgency=low

  * Release 2.1

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 08 Aug 2015 15:21:23 +0100

rsbackup (2.0) unstable; urgency=low

  * Release 2.0

 -- Richard Kettlewell <rjk@greenend.org.uk>  Fri, 13 Feb 2015 17:40:14 +0000

rsbackup (1.2) unstable; urgency=low

  * Release 1.2.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 28 Dec 2014 15:13:59 +0000

rsbackup (1.1-4) unstable; urgency=low

  * Patch from Jonathan Wiltshire to use install rather than cp for
    post{inst,rm}, making build less sensitive to source file permissions
    (Closes: #774013)

 -- Matthew Vernon <matthew@debian.org>  Sun, 28 Dec 2014 19:10:11 +0000

rsbackup (1.1-3) unstable; urgency=low

  * Clean up /ets/rsbackup on purge (thanks to Andreas Beckmann for the
    bug report, and Richard Kettlewell (upstream) for the patch (Closes:
    #773181)

 -- Matthew Vernon <matthew@debian.org>  Tue, 16 Dec 2014 21:42:19 +0000

rsbackup (1.1-2) unstable; urgency=low

  * Make cronjobs exit quietly if rsbackup.cron not present (i.e. package
    removed not purged) (Closes: #766455)

 -- Matthew Vernon <matthew@debian.org>  Thu, 23 Oct 2014 11:35:09 +0100

rsbackup (1.1-1) unstable; urgency=low

  * New upstream version
  * Incorporate 1.0-2 changelog entry

 -- Matthew Vernon <matthew@debian.org>  Tue, 21 Oct 2014 20:28:44 +0100

rsbackup (1.1) unstable; urgency=low

  * More accurate error messages about missing devices.
  * 'include' command skips filenames starting '#'.
  * Stricter checking of host and volume names.
  * Better fsck handling in the snapshot hook script.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Thu, 31 Jul 2014 20:19:24 +0100

rsbackup (1.0-2) unstable; urgency=low

  * binary-arch should depend on binary-${PACKAGE}, not binary-indep
    (Closes: #760609)

 -- Matthew Vernon <matthew@debian.org>  Wed, 17 Sep 2014 23:06:06 +0100

rsbackup (1.0-1) unstable; urgency=low

  * Initial upload to Debian (Closes: #744305)
  * Bump standards version (no changes needed)
  * Maintainer set to a mailing list
  * Lintian-inspired improvements to rules file

 -- Matthew Vernon <matthew@debian.org>  Sat, 05 Jul 2014 14:47:25 +0100

rsbackup (1.0) unstable; urgency=low

  * New --dump-config option to verify configuration file parse.
  * New --check option to rsbackup-mount.
  * Configuration files are now read in a fixed order (issue #8).
  * The --force option no longer implies the --verbose option.
  * Minor bug fixes.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 21 Jun 2014 13:24:19 +0100

rsbackup (0.4.4) unstable; urgency=low

  * Fix post-backup hook environment

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 19 Apr 2014 18:43:06 +0100

rsbackup (0.4.3) unstable; urgency=low

  * Build Debian packages with hardening flags
  * Minor build/test improvements.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Mon, 13 Jan 2014 21:27:34 +0000

rsbackup (0.4.2) unstable; urgency=low

  * --retire no longer fails if a host directory does not exist.
  * Fix recalculation of per-device backup counts.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Fri, 25 Oct 2013 17:52:32 +0100

rsbackup (0.4.1) unstable; urgency=low

  * Release 0.4.1

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 19 May 2013 16:59:07 +0100

rsbackup (0.4) unstable; urgency=low

  * Release 0.4

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 02 Feb 2013 16:58:02 +0000

rsbackup (0.3) unstable; urgency=low

  * Release 0.3

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 24 Mar 2012 13:49:30 +0000

rsbackup (0.2) unstable; urgency=low

  * Release 0.2
  * Rewritten in C++
  * Text format report
  * --retire and --retire-device replace --prune-unknown
  * New --warn-* options
  * New always-up host directive
  * No longer create .incomplete files
  * Delete stray files in retried backups

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 07 May 2011 12:05:34 +0100

rsbackup (0.1) unstable; urgency=low

  * Release 0.1
  * 'nicely' option in rsbackup.defaults
  * Fixed permissions on installed files
  * Build script fixes from Peter Maydell

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 03 Apr 2011 11:35:49 +0100

rsbackup (0.0.109) unstable; urgency=low

  * rsbackup.cron now prunes all volumes (if it prunes anything), not just
    the ones scheduled for backup at that moment.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sat, 05 Feb 2011 11:38:02 +0000

rsbackup (0.0.107) unstable; urgency=low

  * For lower-frequency cronjobs, add --wait so the backup is reliably
    run.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 02 Jan 2011 12:28:13 +0000

rsbackup (0.0.100) unstable; urgency=low

  * Testing new cron arrangement.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 03 Oct 2010 10:42:41 +0100

rsbackup (0.0.99) unstable; urgency=low

  * Don't try to include deleted logfiles in the report.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Sun, 03 Oct 2010 10:45:55 +0100

rsbackup (0.0.98) unstable; urgency=low

  * Add min-backups setting to control how many backups per store are
    guaranteed to be kept.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Wed, 22 Sep 2010 12:23:30 +0100

rsbackup (0.0.97) unstable; urgency=low

  * Don't prune the last backup of a volume on each store (rather than the
    last backup of a volume).

 -- Richard Kettlewell <rjk@greenend.org.uk>  Wed, 22 Sep 2010 11:48:29 +0100

rsbackup (0.0) unstable; urgency=low

  * Initial debian/*.

 -- Richard Kettlewell <rjk@greenend.org.uk>  Fri, 07 May 2010 13:04:16 +0100

